Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl
Interface XMLEntityHandler

All Known Implementing Classes:
  XMLDTDScannerImpl, XMLDocumentFragmentScannerImpl

public interface XMLEntityHandler

The entity handler interface defines methods to report information about the start and end of entities.

See Also:
  `XMLEntityScanner`

Method Summary
`void` | `endEntity(java.lang.String name)` This method notifies the end of an entity.
`void` | `startEntity(java.lang.String name, XMLResourceIdentifier identifier, java.lang.String encoding)` This method notifies of the start of an entity.

Method Detail

### startEntity

    public void startEntity(java.lang.String name,
                            XMLResourceIdentifier identifier,
                            java.lang.String encoding)
                     throws XNIException

  This method notifies of the start of an entity. The DTD has the pseudo-name of "[dtd]" parameter entity names start with '%'; and general entities are just specified by their name.

  Parameters:
    `name` - The name of the entity.
    `identifier` - The resource identifier.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
  Throws:
    XNIException - Thrown by handler to signal an error.

### endEntity

    public void endEntity(java.lang.String name)
                   throws XNIException

  This method notifies the end of an entity. The DTD has the pseudo-name of "[dtd]" parameter entity names start with '%'; and general entities are just specified by their name.

  Parameters:
    `name` - The name of the entity.
  Throws:
    XNIException - Thrown by handler to signal an error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD